//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "NdbAsa"
#pragma link "NdbAsaDS"
#pragma link "NdbBasDS"
#pragma link "NdbBase"
#pragma link "RPBase"
#pragma link "RPCon"
#pragma link "RPConDS"
#pragma link "RPDefine"
#pragma link "RPRave"
#pragma link "RPSystem"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormCreate(TObject *Sender)
{
  AnsiString DBPath;

  DBPath = ExtractFilePath(Application->ExeName);
  DBPath = ExtractFilePath(DBPath.SubString(1, DBPath.Length() - 1)) + "Data\\";
  AsaSession1->LibraryPath = DBPath;
  AsaSession1->LoginDatabase = AsaSession1->LibraryPath + "Data.db";

  RaveProject->Open();
  RaveProject->GetReportList(ReportLB->Items, true);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ReportLBClick(TObject *Sender)
{
  RaveProject->SelectReport(ReportLB->Items->Strings[ReportLB->ItemIndex], true);
  RaveProject->ReportDescToMemo(DescMemo);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormDestroy(TObject *Sender)
{
  RaveProject->Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
  RaveProject->Execute();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormShow(TObject *Sender)
{
  ReportLB->ItemIndex = 0;
  ReportLBClick(NULL);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
  RaveProject->Design();
  RaveProject->GetReportList(ReportLB->Items, true);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RaveProjectCreate(TObject *Sender)
{
  Rvcsbars::RaveRegister;
}
//---------------------------------------------------------------------------
